summaryrefslogtreecommitdiff
path: root/.gitlab-ci/build-apitrace.sh
diff options
context:
space:
mode:
authorAlexandros Frantzis <alexandros.frantzis@collabora.com>2020-01-08 17:46:46 +0200
committerTomeu Vizoso <tomeu.vizoso@collabora.com>2020-02-20 08:06:13 +0100
commit803ab5d6be6bc63e3eae827d7297e0cd98cc61dd (patch)
treeac1b9974160a7c2970d6cc9104e4252499a7f360 /.gitlab-ci/build-apitrace.sh
parent50f1950ac0b52d291ac70bc1ce871a03ed88ba4a (diff)
downloadmesa-803ab5d6be6bc63e3eae827d7297e0cd98cc61dd.tar.gz
gitlab-ci: Automated testing with OpenGL traces
Introduce automated testing of Mesa by replaying traces with Renderdoc or Apitrace. For now only LLVMPipe is tested, but other drivers can be tested if there's runners with the necessary hardware. Signed-off-by: Alexandros Frantzis <alexandros.frantzis@collabora.com> Signed-off-by: Tomeu Vizoso <tomeu.vizoso@collabora.com> Reviewed-by: Eric Anholt <eric@anholt.net> Tested-by: Marge Bot <https://gitlab.freedesktop.org/mesa/mesa/merge_requests/2935> Part-of: <https://gitlab.freedesktop.org/mesa/mesa/merge_requests/2935>
Diffstat (limited to '.gitlab-ci/build-apitrace.sh')
-rw-r--r--.gitlab-ci/build-apitrace.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.gitlab-ci/build-apitrace.sh b/.gitlab-ci/build-apitrace.sh
new file mode 100644
index 00000000000..785a5ae52e7
--- /dev/null
+++ b/.gitlab-ci/build-apitrace.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -ex
+
+APITRACE_VERSION="9.0"
+
+git clone https://github.com/apitrace/apitrace.git --single-branch --no-checkout /apitrace
+pushd /apitrace
+git checkout "$APITRACE_VERSION"
+cmake -G Ninja -B_build -H. -DCMAKE_BUILD_TYPE=Release -DENABLE_GUI=False
+ninja -C _build -j4
+mkdir build
+cp _build/apitrace build
+cp _build/glretrace build
+cp _build/eglretrace build
+strip build/*
+find . -not -path './build' -not -path './build/*' -delete
+popd